hiera_3.2.0-2_all.deb


Advertisement

Description

hiera - Light weight hierarchical data store

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package name hiera
Package version 3.2.0
Package release 2
Package architecture all
Package type deb
Installed size 86 B
Download size 22.59 KB
Official Mirror ftp.br.debian.org
ruby-hiera is a simple pluggable hierarchical database. It can be
used to store various information and therefore is a good fit for
the representation of infrastructure information.
It can be used to query multiple data backends e.g. YAML or Puppet.

Alternatives

Package Version Architecture Repository
hiera_3.2.0-2_all.deb 3.2.0 all Debian Main
hiera - - -

Requires

Name Value
ruby -
ruby-deep-merge -
ruby-interpreter -
ruby-json -

Download

Type URL
Binary Package hiera_3.2.0-2_all.deb
Source Package hiera

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install hiera deb package:
    # sudo apt-get install hiera

Files

Path
/usr/bin/hiera
/usr/lib/ruby/vendor_ruby/hiera.rb
/usr/lib/ruby/vendor_ruby/hiera/backend.rb
/usr/lib/ruby/vendor_ruby/hiera/config.rb
/usr/lib/ruby/vendor_ruby/hiera/console_logger.rb
/usr/lib/ruby/vendor_ruby/hiera/error.rb
/usr/lib/ruby/vendor_ruby/hiera/fallback_logger.rb
/usr/lib/ruby/vendor_ruby/hiera/filecache.rb
/usr/lib/ruby/vendor_ruby/hiera/interpolate.rb
/usr/lib/ruby/vendor_ruby/hiera/noop_logger.rb
/usr/lib/ruby/vendor_ruby/hiera/puppet_logger.rb
/usr/lib/ruby/vendor_ruby/hiera/recursive_guard.rb
/usr/lib/ruby/vendor_ruby/hiera/util.rb
/usr/lib/ruby/vendor_ruby/hiera/version.rb
/usr/lib/ruby/vendor_ruby/hiera/backend/json_backend.rb
/usr/lib/ruby/vendor_ruby/hiera/backend/yaml_backend.rb
/usr/share/doc/hiera/README.md.gz
/usr/share/doc/hiera/changelog.Debian.gz
/usr/share/doc/hiera/copyright
/usr/share/doc/hiera/examples/hiera.yaml
/usr/share/man/man1/hiera.1.gz
/usr/share/rubygems-integration/all/specifications/hiera-3.2.0.gemspec

Changelog

2016-07-03 - Jonas Genannt <genannt@debian.org>
hiera (3.2.0-2) unstable; urgency=medium
* Upload to unstable
2016-05-24 - Jonas Genannt <genannt@debian.org>
hiera (3.2.0-1) experimental; urgency=medium
[ Cédric Boutillier ]
* Use https:// in Vcs-* fields
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
[ Jonas Genannt ]
* Imported Upstream version 3.2.0
* d/p/rspec3: removed, included by upstream
* d/examples: add hiera.yaml
* d/control: bumped standards version (no changes needed)
* Added patch to use /etc/puppet
* d/rules: set gemspec filename
2015-08-15 - Jonas Genannt <genannt@debian.org>
hiera (2.0.0-2) unstable; urgency=medium
* Team upload.
* d/control:
- added depends: ruby-deep-merge
- bumped debhelper version dependency
* d/compat: bumped compat level to 9
* d/p/rspec3.patch: added patch for rspec3
2015-06-03 - Jonas Genannt <genannt@debian.org>
hiera (2.0.0-1) unstable; urgency=medium
* Team upload.
* d/control:
- removed transitional ruby-hiera package
- bumped standards version to 3.9.6 (no changes needed)
- switched to my @debian.org address
- removed version depend on gem2deb (0.3.0 is available since Wheezy)
* d/copyright: updated years of copyright
* Imported Upstream version 2.0.0
2014-07-24 - Jonas Genannt <jonas.genannt@capi2name.de>
hiera (1.3.4-1) unstable; urgency=high
* Team upload.
* d/control:
- removed version depend on mcollective-common, puppet-common. fits for all
debian releases.
- added ruby-json to depends, included json backend needs ruby-json
* d/copyright: updated years of copyright
* Imported Upstream version 1.3.4
- fixes CVE-2014-3248
* renamed package from ruby-hiera to hiera (Closes: #751386)
PuppetLabs uses hiera as dependency for the PuppetLabs packages.
If you are using PuppetLabs Repository only for PuppetDB you
will run into dependency problems.
2013-11-24 - Jonas Genannt <jonas.genannt@capi2name.de>
ruby-hiera (1.3.0-1) unstable; urgency=low
[ Stig Sandbeck Mathisen ]
* Refresh build tests
- Add ruby-json to list of build dependencies
- remove spec.opts reference
* debian/watch:
- ignore release candidates and beta versions when looking for
new versions
- only use plain versions
* Update changelog
[ Cédric Boutillier ]
* debian/control: remove obsolete DM-Upload-Allowed flag
* use canonical URI in Vcs-* fields
[ Jonas Genannt ]
* New Upstream Release 1.3.0
* bumped standards version
* d/control:
- added myself as uploader
- wrap-sort
- changed Recommends to Suggests (Closes: #693845)
- fixed typos in description
* Imported Upstream version 1.2.1
* removed dont-require-rubygems since rubygems is
loaded per default in 1.9/2.0
2012-06-17 - Patrick Ringl <patrick_@freenet.de>
ruby-hiera (1.0.0~rc3-1) unstable; urgency=low
* Initial release (Closes: #677875)

See Also

Package Description
higan_098-2+b1_i386.deb Accurate Nintendo multi-system emulator
highlight-common_3.18-3_all.deb source code to formatted text converter (architecture independent files)
highlight.js-doc_8.2+ds-5_all.deb JavaScript library for syntax highlighting - documentation
highlight_3.18-3+b5_i386.deb Universal source code to formatted text converter
hiki_1.0.0-2_all.deb Wiki Engine written in Ruby
hilive_0.3-2_i386.deb realtime alignment of Illumina reads
hime-anthy_0.9.10+git20150916+dfsg1-8+b1_i386.deb support library to use Anthy in HIME
hime-chewing_0.9.10+git20150916+dfsg1-8+b1_i386.deb support library to use Chewing in HIME
hime-data_0.9.10+git20150916+dfsg1-8_all.deb icons, locales and scripts for HIME
hime-gtk2-immodule_0.9.10+git20150916+dfsg1-8+b1_i386.deb GTK2 input method module with HIME as backend
hime-gtk3-immodule_0.9.10+git20150916+dfsg1-8+b1_i386.deb GTK3 input method module with HIME as backend
hime-qt4-immodule_0.9.10+git20150916+dfsg1-8+b1_i386.deb Qt4 input method module with HIME as backend
hime-qt5-immodule_0.9.10+git20150916+dfsg1-8+b1_i386.deb Qt5 input method module with HIME as backend
hime-tables_0.9.10+git20150916+dfsg1-8+b1_i386.deb input method tables for HIME
hime_0.9.10+git20150916+dfsg1-8+b1_i386.deb GTK+ based input method for Chinese users
Advertisement
Advertisement